API endpoint
https://bugnotify.com/api/v1/status-pages
Request example
curl --location --request GET 'https://bugnotify.com/api/v1/status-pages' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameters
search
search_by
name for Name. Defaults to: name.
monitor_id
sort_by
id for Date created, name for Name. Defaults to: id.
sort
desc for Descending, asc for Ascending. Defaults to: desc.
per_page
10, 25, 50, 100. Defaults to: 10.
API endpoint
https://bugnotify.com/api/v1/status-pages/{id}
Request example
curl --location --request GET 'https://bugnotify.com/api/v1/status-pages/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API endpoint
https://bugnotify.com/api/v1/status-pages
Request example
curl --location --request POST 'https://bugnotify.com/api/v1/status-pages' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'name={name}' \ --data-urlencode 'slug={slug}'
Parameters
_method
PUT.
name
slug
sections[index][name]
sections[index][monitor_ids]
privacy
0 for Public, 1 for Private, 2 for Password. Defaults to: 0.
password
privacy field set to 2.
domain
logo
favicon
remove_logo
remove_favicon
website_url
contact_url
custom_css
custom_js
meta_title
meta_description
noindex
API endpoint
https://bugnotify.com/api/v1/status-pages/{id}
Request example
curl --location --request POST 'https://bugnotify.com/api/v1/status-pages/{id}' \ --header 'Authorization: Bearer {api_key}' \ --form '_method="PUT"'
Parameters
name
slug
sections[index][name]
sections[index][monitor_ids]
privacy
0 for Public, 1 for Private, 2 for Password.
password
privacy field set to 2.
domain
logo
favicon
remove_logo
remove_favicon
website_url
contact_url
custom_css
custom_js
meta_title
meta_description
noindex
API endpoint
https://bugnotify.com/api/v1/status-pages/{id}
Request example
curl --location --request DELETE 'https://bugnotify.com/api/v1/status-pages/{id}' \ --header 'Authorization: Bearer {api_key}'